import os

from table import Table
from sql import SQL
import mysql.connector

def main():
    print("Bem-vindo!")
    print("Deseja utilizar um banco de dados (BD) ou um arquivo .csv (CSV)?")
    escolha = input()

    if escolha == "CSV":
        print("Digite a pasta onde estão os arquivos CSV:")
        #csv_folder = input()
        csv_folder = "./source"

        tables = {}

        # Seleciona todos o csv presentes na pasta
        for file in os.listdir(csv_folder):
            if file.endswith(".csv"):
                table_name = file.split(".")[0]
                table = Table(table_name)
                table.load_from_csv(f"{csv_folder}/{file}")
                tables[table_name] = table

        print("Tabelas carregadas:")
        print(tables.keys())

        while True:
            print("Digite a query [0 para sair]:")
            query = input()

            if query == "0":
                break

            sql = SQL(tables, query)
            sql.execute()

            print()

    elif escolha == "BD":
        print("BD")
    else:
        print("Fora do intervalo!")

if __name__ == "__main__":
    main()